%{CPP_TEMPLATE}

#include <config.h>
#include "tdefile_%{APPNAMELC}.h"

#include <kgenericfactory.h>
//#include <tdeio/global.h>

//#include <tqfileinfo.h>
//#include <tqdir.h>

typedef KGenericFactory<%{APPNAME}Plugin> %{APPNAME}Factory;

K_EXPORT_COMPONENT_FACTORY(tdefile_%{APPNAME}, %{APPNAME}Factory( "tdefile_%{APPNAMELC}" ))

%{APPNAME}Plugin::%{APPNAME}Plugin(TQObject *parent, const char *name,
                       const TQStringList &args)
    : KFilePlugin(parent, name, args)
{
    //add the mimetype here - example:
    //KFileMimeTypeInfo* info = addMimeTypeInfo( "text/html" );
    KFileMimeTypeInfo* info = addMimeTypeInfo( "text/html" );

    // our new group
    KFileMimeTypeInfo::GroupInfo* group = 0L;
    group = addGroupInfo(info, "%{APPNAME}Info", i18n("%{APPNAME} Information"));

    KFileMimeTypeInfo::ItemInfo* item;

    // our new items in the group
    item = addItemInfo(group, "Items", i18n("Items"), TQVariant::Int);
    item = addItemInfo(group, "Size", i18n("Size"), TQVariant::Int);
    setUnit(item, KFileMimeTypeInfo::KiloBytes);

    // strings are possible, too:
    //addItemInfo(group, "Text", i18n("Document Type"), TQVariant::String);
}

bool %{APPNAME}Plugin::readInfo( KFileMetaInfo& info, uint /*what*/)
{
    KFileMetaInfoGroup group = appendGroup(info, "%{APPNAME}Info");

    // add your "calculations" here
    // if something goes wrong, "return false;"


    // and finally display it!
    appendItem(group, "Items", 100);
    appendItem(group, "Size", int(5000/1024));
    
    return true;
}

#include "tdefile_%{APPNAMELC}.moc"

